Resume "birthdate" field, if empty auto-fills to 1 Jan 1970

Bug #1195269 reported by Aaron Wells on 2013-06-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells
1.5
Medium
Aaron Wells
1.6
Medium
Aaron Wells

Bug Description

To replicate:

1. Create a new user
2. Go to Content -> Resume -> Introduction
3. Fill in a "Place of birth" and leave all other fields empty.
4. Click "Save"
5. Navigate away from this page (for instance, by going to "Dashboard")
6. Navigate back to Content -> Resume -> Introduction

Expected Result: Because no birth date was filled in, the birthdate field should still be empty

Actual Result: the birth date field will show "Jan 1, 1970"

It would appear that what's going on here is that the field that displays it is interpreting the null value from the database as a 0, and so it's displaying the Unix 0 epoch as your birthdate.

Aaron Wells (u-aaronw) wrote :

Patch submitted to gerrit: https://reviews.mahara.org/2297

Aaron Wells (u-aaronw) on 2013-06-27
Changed in mahara:
milestone: none → 1.7.2
assignee: nobody → Aaron Wells (u-aaronw)

Reviewed: https://reviews.mahara.org/2297
Committed: http://gitorious.org/mahara/mahara/commit/386bb1d9382a122dfb2b0e110d711c7e1896ce99
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 386bb1d9382a122dfb2b0e110d711c7e1896ce99
Author: Aaron Wells <email address hidden>
Date: Thu Jun 27 23:47:29 2013 +1200

Stop empty resume birthdate from auto-filling to Jan 1, 1970

Bug1195269

Change-Id: Ia0652570c7fc495b34e04716a6b339956e5ff017

Aaron Wells (u-aaronw) on 2013-06-28
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2013-07-25
Changed in mahara:
status: Fix Committed → Fix Released
Changed in mahara:
status: Fix Released → Confirmed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2515
Committed: http://gitorious.org/mahara/mahara/commit/d63822bf8e72669c9bb2979cd2120a8e25ab935c
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.5_STABLE

commit d63822bf8e72669c9bb2979cd2120a8e25ab935c
Author: Aaron Wells <email address hidden>
Date: Thu Jun 27 23:47:29 2013 +1200

Stop empty resume birthdate from auto-filling to Jan 1, 1970

Bug1195269

Change-Id: Ia0652570c7fc495b34e04716a6b339956e5ff017

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2516
Committed: http://gitorious.org/mahara/mahara/commit/0503ba11ee34af04a9d209d4d5506b4081f103f9
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.6_STABLE

commit 0503ba11ee34af04a9d209d4d5506b4081f103f9
Author: Aaron Wells <email address hidden>
Date: Thu Jun 27 23:47:29 2013 +1200

Stop empty resume birthdate from auto-filling to Jan 1, 1970

Bug1195269

Change-Id: Ia0652570c7fc495b34e04716a6b339956e5ff017

Aaron Wells (u-aaronw) wrote :
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2517
Committed: http://gitorious.org/mahara/mahara/commit/95b50d9a6e052a82c7edf6f7e76e0bbb92cb5eaa
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit 95b50d9a6e052a82c7edf6f7e76e0bbb92cb5eaa
Author: Aaron Wells <email address hidden>
Date: Thu Jun 27 23:47:29 2013 +1200

Stop empty resume birthdate from auto-filling to Jan 1, 1970

Bug1195269

Change-Id: Ia0652570c7fc495b34e04716a6b339956e5ff017

Aaron Wells (u-aaronw) on 2013-09-22
no longer affects: mahara/1.7
Changed in mahara:
status: Confirmed → Fix Committed
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.7.2 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
no longer affects: mahara/1.8
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers